<?php



$tdatatb_cbanc_movimentos = array();
$tdatatb_cbanc_movimentos[".searchableFields"] = array();
$tdatatb_cbanc_movimentos[".ShortName"] = "tb_cbanc_movimentos";
$tdatatb_cbanc_movimentos[".OwnerID"] = "";
$tdatatb_cbanc_movimentos[".OriginalTable"] = "tb_cbanc_movimentos";


$tdatatb_cbanc_movimentos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_cbanc_movimentos[".originalPagesByType"] = $tdatatb_cbanc_movimentos[".pagesByType"];
$tdatatb_cbanc_movimentos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_cbanc_movimentos[".originalPages"] = $tdatatb_cbanc_movimentos[".pages"];
$tdatatb_cbanc_movimentos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_cbanc_movimentos[".originalDefaultPages"] = $tdatatb_cbanc_movimentos[".defaultPages"];

//	field labels
$fieldLabelstb_cbanc_movimentos = array();
$fieldToolTipstb_cbanc_movimentos = array();
$pageTitlestb_cbanc_movimentos = array();
$placeHolderstb_cbanc_movimentos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_cbanc_movimentos["English"] = array();
	$fieldToolTipstb_cbanc_movimentos["English"] = array();
	$placeHolderstb_cbanc_movimentos["English"] = array();
	$pageTitlestb_cbanc_movimentos["English"] = array();
	$fieldLabelstb_cbanc_movimentos["English"]["entradaID"] = "MovID";
	$fieldToolTipstb_cbanc_movimentos["English"]["entradaID"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["entradaID"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["cbancID"] = "Conta ID";
	$fieldToolTipstb_cbanc_movimentos["English"]["cbancID"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["cbancID"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["tipo_lanc"] = "Tipo Lançamento ";
	$fieldToolTipstb_cbanc_movimentos["English"]["tipo_lanc"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["tipo_lanc"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["origem"] = "Origem";
	$fieldToolTipstb_cbanc_movimentos["English"]["origem"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["origem"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["valor"] = "Valor";
	$fieldToolTipstb_cbanc_movimentos["English"]["valor"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["valor"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["observacao"] = "Observação ";
	$fieldToolTipstb_cbanc_movimentos["English"]["observacao"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["observacao"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["doc"] = "Doc. digital (anexo)";
	$fieldToolTipstb_cbanc_movimentos["English"]["doc"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["doc"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["incluir"] = "Incluir";
	$fieldToolTipstb_cbanc_movimentos["English"]["incluir"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["incluir"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["data"] = "Data";
	$fieldToolTipstb_cbanc_movimentos["English"]["data"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["data"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["reembolsar"] = "Reembolsar";
	$fieldToolTipstb_cbanc_movimentos["English"]["reembolsar"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["reembolsar"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["credor"] = "Credor";
	$fieldToolTipstb_cbanc_movimentos["English"]["credor"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["credor"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["status_reemb"] = "Status Reembolso";
	$fieldToolTipstb_cbanc_movimentos["English"]["status_reemb"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["status_reemb"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["receber"] = "Receber";
	$fieldToolTipstb_cbanc_movimentos["English"]["receber"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["receber"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["Devedor"] = "Devedor";
	$fieldToolTipstb_cbanc_movimentos["English"]["Devedor"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["Devedor"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["geradoc"] = "Geradoc";
	$fieldToolTipstb_cbanc_movimentos["English"]["geradoc"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["geradoc"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["Regdoc"] = "Mov. Vinculado";
	$fieldToolTipstb_cbanc_movimentos["English"]["Regdoc"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["Regdoc"] = "";
	$fieldLabelstb_cbanc_movimentos["English"]["status_receber"] = "Status Receber";
	$fieldToolTipstb_cbanc_movimentos["English"]["status_receber"] = "";
	$placeHolderstb_cbanc_movimentos["English"]["status_receber"] = "";
	$pageTitlestb_cbanc_movimentos["English"]["add"] = "Registro Movimentos- Add new";
	if (count($fieldToolTipstb_cbanc_movimentos["English"]))
		$tdatatb_cbanc_movimentos[".isUseToolTips"] = true;
}


	$tdatatb_cbanc_movimentos[".NCSearch"] = true;



$tdatatb_cbanc_movimentos[".shortTableName"] = "tb_cbanc_movimentos";
$tdatatb_cbanc_movimentos[".nSecOptions"] = 0;

$tdatatb_cbanc_movimentos[".mainTableOwnerID"] = "";
$tdatatb_cbanc_movimentos[".entityType"] = 0;

$tdatatb_cbanc_movimentos[".strOriginalTableName"] = "tb_cbanc_movimentos";

	



$tdatatb_cbanc_movimentos[".showAddInPopup"] = false;

$tdatatb_cbanc_movimentos[".showEditInPopup"] = false;

$tdatatb_cbanc_movimentos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_cbanc_movimentos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_cbanc_movimentos[".listAjax"] = false;
//	temporary
$tdatatb_cbanc_movimentos[".listAjax"] = false;

	$tdatatb_cbanc_movimentos[".audit"] = false;

	$tdatatb_cbanc_movimentos[".locking"] = false;


$pages = $tdatatb_cbanc_movimentos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_cbanc_movimentos[".edit"] = true;
	$tdatatb_cbanc_movimentos[".afterEditAction"] = 0;
	$tdatatb_cbanc_movimentos[".closePopupAfterEdit"] = 1;
	$tdatatb_cbanc_movimentos[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_cbanc_movimentos[".add"] = true;
$tdatatb_cbanc_movimentos[".afterAddAction"] = 0;
$tdatatb_cbanc_movimentos[".closePopupAfterAdd"] = 1;
$tdatatb_cbanc_movimentos[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_cbanc_movimentos[".list"] = true;
}



$tdatatb_cbanc_movimentos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_cbanc_movimentos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_cbanc_movimentos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_cbanc_movimentos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_cbanc_movimentos[".printFriendly"] = true;
}



$tdatatb_cbanc_movimentos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_cbanc_movimentos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_cbanc_movimentos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_cbanc_movimentos[".isUseAjaxSuggest"] = true;

$tdatatb_cbanc_movimentos[".rowHighlite"] = true;





$tdatatb_cbanc_movimentos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_cbanc_movimentos[".buttonsAdded"] = false;

$tdatatb_cbanc_movimentos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_cbanc_movimentos[".isUseTimeForSearch"] = false;


$tdatatb_cbanc_movimentos[".badgeColor"] = "cd5c5c";


$tdatatb_cbanc_movimentos[".allSearchFields"] = array();
$tdatatb_cbanc_movimentos[".filterFields"] = array();
$tdatatb_cbanc_movimentos[".requiredSearchFields"] = array();

$tdatatb_cbanc_movimentos[".googleLikeFields"] = array();
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "entradaID";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "cbancID";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "tipo_lanc";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "origem";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "valor";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "observacao";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "doc";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "incluir";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "data";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "reembolsar";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "credor";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "status_reemb";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "receber";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "Devedor";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "geradoc";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "Regdoc";
$tdatatb_cbanc_movimentos[".googleLikeFields"][] = "status_receber";



$tdatatb_cbanc_movimentos[".tableType"] = "list";

$tdatatb_cbanc_movimentos[".printerPageOrientation"] = 0;
$tdatatb_cbanc_movimentos[".nPrinterPageScale"] = 100;

$tdatatb_cbanc_movimentos[".nPrinterSplitRecords"] = 40;

$tdatatb_cbanc_movimentos[".geocodingEnabled"] = false;










$tdatatb_cbanc_movimentos[".pageSize"] = 20;

$tdatatb_cbanc_movimentos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_cbanc_movimentos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_cbanc_movimentos[".orderindexes"] = array();

$tdatatb_cbanc_movimentos[".sqlHead"] = "SELECT entradaID,  cbancID,  tipo_lanc,  origem,  valor,  observacao,  doc,  incluir,  `data`,  reembolsar,  credor,  status_reemb,  receber,  Devedor,  concat(entradaID, \".\", cbancID, \".\", origem) AS geradoc,  Regdoc,  status_receber";
$tdatatb_cbanc_movimentos[".sqlFrom"] = "FROM tb_cbanc_movimentos";
$tdatatb_cbanc_movimentos[".sqlWhereExpr"] = "";
$tdatatb_cbanc_movimentos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_cbanc_movimentos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_cbanc_movimentos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_cbanc_movimentos[".highlightSearchResults"] = true;

$tableKeystb_cbanc_movimentos = array();
$tableKeystb_cbanc_movimentos[] = "entradaID";
$tdatatb_cbanc_movimentos[".Keys"] = $tableKeystb_cbanc_movimentos;


$tdatatb_cbanc_movimentos[".hideMobileList"] = array();




//	entradaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "entradaID";
	$fdata["GoodName"] = "entradaID";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","entradaID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "entradaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "entradaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["entradaID"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "entradaID";
//	cbancID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cbancID";
	$fdata["GoodName"] = "cbancID";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","cbancID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cbancID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cbancID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["cbancID"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "cbancID";
//	tipo_lanc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tipo_lanc";
	$fdata["GoodName"] = "tipo_lanc";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","tipo_lanc");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tipo_lanc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_lanc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Débito ";
	$edata["LookupValues"][] = "Crédito ";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["tipo_lanc"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "tipo_lanc";
//	origem
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "origem";
	$fdata["GoodName"] = "origem";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","origem");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "origem";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "origem";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_movimento";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "movID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "movimento";

	

	
	$edata["LookupOrderBy"] = "movimento";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["origem"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "origem";
//	valor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "valor";
	$fdata["GoodName"] = "valor";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","valor");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "valor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["valor"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "valor";
//	observacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "observacao";
	$fdata["GoodName"] = "observacao";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","observacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["observacao"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "observacao";
//	doc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "doc";
	$fdata["GoodName"] = "doc";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","doc");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "doc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "doc";

	
	
				$fdata["UploadFolder"] = "uploads\\cbanc";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
								$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["doc"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "doc";
//	incluir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "incluir";
	$fdata["GoodName"] = "incluir";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","incluir");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "incluir";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "incluir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["incluir"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "incluir";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["data"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "data";
//	reembolsar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "reembolsar";
	$fdata["GoodName"] = "reembolsar";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","reembolsar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "reembolsar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reembolsar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["reembolsar"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "reembolsar";
//	credor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "credor";
	$fdata["GoodName"] = "credor";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","credor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "credor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "credor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["credor"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "credor";
//	status_reemb
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "status_reemb";
	$fdata["GoodName"] = "status_reemb";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","status_reemb");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status_reemb";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_reemb";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Pendente";
	$edata["LookupValues"][] = "Quitado";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["status_reemb"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "status_reemb";
//	receber
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "receber";
	$fdata["GoodName"] = "receber";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","receber");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "receber";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "receber";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["receber"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "receber";
//	Devedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Devedor";
	$fdata["GoodName"] = "Devedor";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","Devedor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Devedor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Devedor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["Devedor"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "Devedor";
//	geradoc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "geradoc";
	$fdata["GoodName"] = "geradoc";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","geradoc");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "geradoc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "concat(entradaID, \".\", cbancID, \".\", origem)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["geradoc"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "geradoc";
//	Regdoc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "Regdoc";
	$fdata["GoodName"] = "Regdoc";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","Regdoc");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Regdoc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Regdoc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_cbanc_movimentos";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "geradoc";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "geradoc";

	

	
	$edata["LookupOrderBy"] = "cbancID";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["Regdoc"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "Regdoc";
//	status_receber
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "status_receber";
	$fdata["GoodName"] = "status_receber";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("tb_cbanc_movimentos","status_receber");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status_receber";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_receber";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "A Receber";
	$edata["LookupValues"][] = "Recebido";
	$edata["LookupValues"][] = "Permuta";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cbanc_movimentos["status_receber"] = $fdata;
		$tdatatb_cbanc_movimentos[".searchableFields"][] = "status_receber";


$tables_data["tb_cbanc_movimentos"]=&$tdatatb_cbanc_movimentos;
$field_labels["tb_cbanc_movimentos"] = &$fieldLabelstb_cbanc_movimentos;
$fieldToolTips["tb_cbanc_movimentos"] = &$fieldToolTipstb_cbanc_movimentos;
$placeHolders["tb_cbanc_movimentos"] = &$placeHolderstb_cbanc_movimentos;
$page_titles["tb_cbanc_movimentos"] = &$pageTitlestb_cbanc_movimentos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_cbanc_movimentos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_cbanc_movimentos"] = array();



	
				$strOriginalDetailsTable="tb_contas_banc";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_contas_banc";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_contas_banc";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_cbanc_movimentos"][0] = $masterParams;
				$masterTablesData["tb_cbanc_movimentos"][0]["masterKeys"] = array();
	$masterTablesData["tb_cbanc_movimentos"][0]["masterKeys"][]="contaID";
				$masterTablesData["tb_cbanc_movimentos"][0]["detailKeys"] = array();
	$masterTablesData["tb_cbanc_movimentos"][0]["detailKeys"][]="cbancID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_cbanc_movimentos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "entradaID,  cbancID,  tipo_lanc,  origem,  valor,  observacao,  doc,  incluir,  `data`,  reembolsar,  credor,  status_reemb,  receber,  Devedor,  concat(entradaID, \".\", cbancID, \".\", origem) AS geradoc,  Regdoc,  status_receber";
$proto0["m_strFrom"] = "FROM tb_cbanc_movimentos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "entradaID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto6["m_sql"] = "entradaID";
$proto6["m_srcTableName"] = "tb_cbanc_movimentos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto8["m_sql"] = "cbancID";
$proto8["m_srcTableName"] = "tb_cbanc_movimentos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_lanc",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto10["m_sql"] = "tipo_lanc";
$proto10["m_srcTableName"] = "tb_cbanc_movimentos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "origem",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto12["m_sql"] = "origem";
$proto12["m_srcTableName"] = "tb_cbanc_movimentos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "valor",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto14["m_sql"] = "valor";
$proto14["m_srcTableName"] = "tb_cbanc_movimentos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "observacao",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto16["m_sql"] = "observacao";
$proto16["m_srcTableName"] = "tb_cbanc_movimentos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "doc",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto18["m_sql"] = "doc";
$proto18["m_srcTableName"] = "tb_cbanc_movimentos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "incluir",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto20["m_sql"] = "incluir";
$proto20["m_srcTableName"] = "tb_cbanc_movimentos";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto22["m_sql"] = "`data`";
$proto22["m_srcTableName"] = "tb_cbanc_movimentos";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "reembolsar",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto24["m_sql"] = "reembolsar";
$proto24["m_srcTableName"] = "tb_cbanc_movimentos";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "credor",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto26["m_sql"] = "credor";
$proto26["m_srcTableName"] = "tb_cbanc_movimentos";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "status_reemb",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto28["m_sql"] = "status_reemb";
$proto28["m_srcTableName"] = "tb_cbanc_movimentos";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "receber",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto30["m_sql"] = "receber";
$proto30["m_srcTableName"] = "tb_cbanc_movimentos";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "Devedor",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto32["m_sql"] = "Devedor";
$proto32["m_srcTableName"] = "tb_cbanc_movimentos";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$proto35=array();
$proto35["m_functiontype"] = "SQLF_CUSTOM";
$proto35["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "entradaID"
));

$proto35["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\".\""
));

$proto35["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "cbancID"
));

$proto35["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "\".\""
));

$proto35["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "origem"
));

$proto35["m_arguments"][]=$obj;
$proto35["m_strFunctionName"] = "concat";
$obj = new SQLFunctionCall($proto35);

$proto34["m_sql"] = "concat(entradaID, \".\", cbancID, \".\", origem)";
$proto34["m_srcTableName"] = "tb_cbanc_movimentos";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "geradoc";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "Regdoc",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto41["m_sql"] = "Regdoc";
$proto41["m_srcTableName"] = "tb_cbanc_movimentos";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "status_receber",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "tb_cbanc_movimentos"
));

$proto43["m_sql"] = "status_receber";
$proto43["m_srcTableName"] = "tb_cbanc_movimentos";
$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto45=array();
$proto45["m_link"] = "SQLL_MAIN";
			$proto46=array();
$proto46["m_strName"] = "tb_cbanc_movimentos";
$proto46["m_srcTableName"] = "tb_cbanc_movimentos";
$proto46["m_columns"] = array();
$proto46["m_columns"][] = "entradaID";
$proto46["m_columns"][] = "cbancID";
$proto46["m_columns"][] = "tipo_lanc";
$proto46["m_columns"][] = "origem";
$proto46["m_columns"][] = "valor";
$proto46["m_columns"][] = "observacao";
$proto46["m_columns"][] = "doc";
$proto46["m_columns"][] = "incluir";
$proto46["m_columns"][] = "data";
$proto46["m_columns"][] = "reembolsar";
$proto46["m_columns"][] = "credor";
$proto46["m_columns"][] = "status_reemb";
$proto46["m_columns"][] = "receber";
$proto46["m_columns"][] = "Devedor";
$proto46["m_columns"][] = "geradoc";
$proto46["m_columns"][] = "Regdoc";
$proto46["m_columns"][] = "status_receber";
$obj = new SQLTable($proto46);

$proto45["m_table"] = $obj;
$proto45["m_sql"] = "tb_cbanc_movimentos";
$proto45["m_alias"] = "";
$proto45["m_srcTableName"] = "tb_cbanc_movimentos";
$proto47=array();
$proto47["m_sql"] = "";
$proto47["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto47["m_column"]=$obj;
$proto47["m_contained"] = array();
$proto47["m_strCase"] = "";
$proto47["m_havingmode"] = false;
$proto47["m_inBrackets"] = false;
$proto47["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto47);

$proto45["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto45);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_cbanc_movimentos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_cbanc_movimentos = createSqlQuery_tb_cbanc_movimentos();


	
		;

																	

$tdatatb_cbanc_movimentos[".sqlquery"] = $queryData_tb_cbanc_movimentos;

$tableEvents["tb_cbanc_movimentos"] = new eventsBase;
$tdatatb_cbanc_movimentos[".hasEvents"] = false;

?>